import type { PendingTransactionResponse, NodeStatusResponse, PendingTransactionsResponse } from 'algosdk/dist/types/client/v2/algod/models/types';
import { type SuggestedParams } from 'algosdk';
export declare const transactionTools: {
    name: string;
    description: string;
    inputSchema: any;
}[];
export declare function getPendingTransaction(txId: string, args: any): Promise<PendingTransactionResponse>;
export declare function getPendingTransactionsByAddress(address: string, args: any): Promise<PendingTransactionsResponse>;
export declare function getPendingTransactions(args: any, maxTxns?: number): Promise<PendingTransactionsResponse>;
export declare function getTransactionParams(args: any): Promise<SuggestedParams>;
export declare function getNodeStatus(args: any): Promise<NodeStatusResponse>;
export declare function getNodeStatusAfterBlock(round: number, args: any): Promise<NodeStatusResponse>;
export declare function handleTransactionTools(name: string, args: any): Promise<any>;
